[Résolu] Etat de Santé dans WordPress 5.2

  • WordPress :5.2
  • Statut : résolu
15 sujets de 1 à 15 (sur un total de 20)
  • Auteur
    Messages
  • #2260956
    Pierroloko
    Participant
    Initié WordPress
    9 contributions

    Bonjour bonjour, 🤗

    Ma configuration WP actuelle

    • Version de PHP/MySQL : 7.3.3/5.6
    • Thème utilisé : Customizr pro (enfant)
    • Extensions en place : Change Table Prefix – 2.0 / Child Theme Configurator – 2.4.4 / CMP – Coming Soon & Maintenance Plugin – 3.4.10 / Disable REST API – 1.4.3 / Duplicate Post – 3.2.2 / Duplicator – 1.3.12 / Elementor – 2.5.15  /Essential Addons for Elementor – 2.10.5 / GDPR Cookie Consent – 1.7.6 / Loco Translate – 2.2.2 / Nimble Page Builder – 1.7.4 / Polylang – 2.5.3 / Regenerate Thumbnails – 3.1.1  / Server IP & Memory Usage Display – 2.1.0 /UpdraftPlus – Backup/Restore – 1.16.14  / WP-Optimize – 2.3.3
    • Nom de l’hébergeur : OVH
    • Adresse du site : Développement en local pour le moment

    Problème(s) rencontré(s) :

    En effectuant donc un “bilan” de santé disponible dans la version 5.2, il m’indique 1 problème critique à savoir les mises à jour d’arrière-plan ne fonctionnent pas comme prévu” (cf fichier joint).

    Est-ce grave Docteur? Et si oui, comment y remedier?

    En esperant ne pas être trop imprécis, je vous remercie d’avance pour vos aides/éclairages sur ce sujet.

    Cordialement

    PS: je suis novice, c’est mon 1er wordpress

    Fichiers joints :
    Vous devez être connecté pour voir les fichiers joints.
    #2260960
    PhiLyon
    Modérateur
    Maître WordPress
    23052 contributions

    Bonjour.

    Désactives tes extensions pour trouver laquelle est la cause de ce message.

    🙂

    #2260968
    Pierroloko
    Participant
    Initié WordPress
    9 contributions

    Tout d’abord merci de vous intéresser à mon problème 😊, hélas, même punition même motif!! 🤔

     

    • Cette réponse a été modifiée le il y a 2 mois par  Pierroloko.
    #2260971
    C_Lucien
    Modérateur
    Maître WordPress
    4119 contributions

    Bonjour,

    ce sont de pures hypothèses…

    Qu’appelez-vous “développement en local”, est-ce avec Wamp Server, MAMP, XAMPP, Flywheel ? Dans ce cas, avez-vous un pare-feu du système qui bloquerait des connexions sortantes ?

    Php 7.3.x chez OVH, mais quid de votre PC –si c’est en local ?

    #2260973
    Pierroloko
    Participant
    Initié WordPress
    9 contributions

    J’apporte plus de précision à savoir:

    je travaille bien en local (sur mon PC http://localhost) avec XAMPP. En testant DUPLICATOR (pour la 1ère fois) hier  vers OVH, une fois cette opération effectuée sans problème, j’avais  le même message dans l’Etat de santé. Je me suis donc rabattu sur mon site local wordpress pour tenter de corriger cela.

    J’utilise Comodo Firewall comme pare-feu. OS windows 10 1809.

    La section System infos de mon wordpress en local m’indique PHP: 7.3.3 et MySQL: 5.5.5.

    😐

     

    • Cette réponse a été modifiée le il y a 2 mois par  Pierroloko.
    • Cette réponse a été modifiée le il y a 2 mois par  Pierroloko.
    Fichiers joints :
    Vous devez être connecté pour voir les fichiers joints.
    #2260993
    Pierroloko
    Participant
    Initié WordPress
    9 contributions

    Re précision :

    j’ai la version XAMPP  7.3.3

    Control Panel Version: 3.2.3 [ Compiled: Mar 7th 2019 ]

    qui plus est, je n’ai pas l’impression que mon firewall bloque ce dernier.

     

    #2261006
    C_Lucien
    Modérateur
    Maître WordPress
    4119 contributions

    À vérifier : la version MySQL. À tester : Php 7.2 si XAMPP le permet.

    Voir aussi “https://fr.wordpress.org/about/requirements/

    Les réponses aux autres causes possibles dans le système sont bien trop au-dessus de mon niveau…

     

    #2261089
    Pierroloko
    Participant
    Initié WordPress
    9 contributions

    Bonjour,

    Quand vous dites “À vérifier : la version MySQL”  vous parlez de la version de MySQL dans XAMPP? Et si oui  comment vérifier cette version?

    De plus vous me dites de tester avec Php 7.2 avec XAMPP, étant (apparement) en 7.3.3, n’est ce pas dangereux de downgrader?

    Ci-desous, les infos que j’ai pu trouver dans le tableau de bord de WordPress dans Information système se trouvant avec l’extension Elementor:

    == Server Environment ==
    Operating System: WINNT
    Software: Apache/2.4.38 (Win64) OpenSSL/1.1.1b PHP/7.3.3
    MySQL version: mariadb.org binary distribution v5.6.42-84.2
    PHP Version: 7.3.3
    PHP Max Input Vars: 1000
    PHP Max Post Size: 16M
    GD Installed: Yes
    ZIP Installed: Yes
    Write Permissions: All right
    Elementor Library: Connected

    == WordPress Environment ==
    Version: 5.2
    Site URL: http://localhost
    Home URL: http://localhost
    WP Multisite: No
    Max Upload Size: 10 MB
    Memory limit: 256M
    Permalink Structure: /%postname%/
    Language: fr-FR
    Timezone: Europe/Paris
    Debug Mode: Inactive

    et ce que j’ai trouvé toujours dans WordPress->Extensions->System info :

    ———— WEBSERVER CONFIG
    PHP Version: 7.3.3
    MySQL Version: 5.5.5
    Webserver Info: Apache/2.4.38 (Win64) OpenSSL/1.1.1b PHP/7.3.3
    Writing Permissions: OK

     

    #2261115
    C_Lucien
    Modérateur
    Maître WordPress
    4119 contributions

    Bonjour,

    vous parlez de la version de MySQL dans XAMPP? Et si oui comment vérifier cette version?

    je ne connais pas XAMPP, il faut voir la documentation.

    n’est ce pas dangereux de downgrader?

    WordPress fonctionne très bien avec Php 7.2.

    #2261128
    ferman
    Participant
    Maître WordPress
    709 contributions

    Bonjour,

    J’ai aussi XAMPP. XAMPP n’utilise plus Mysql (depuis que ça a été racheté par Oracle) mais son équivalent Maria DB. Vous avez Maria DB 10.1.38 et ça correspond à Mysql 5.6 (et 5.7). apparemment “elementor” fait lui même l’équivalence. “Downgrader” n’est pas dangereux mais pas simple à faire dans XAMPP. On trouve des recettes pour faire ça mais c’est très discuté et souvent ça ne marche pas (j’ai pu le vérifier). En fait, dans XAMPP, version de PHP et de Maria DB sont étroitement liées. Si on veut changer de version PHP il faut désinstaller la version activede XAMPP et réinstaller une autre version. Si vous avez déjà installé XAMPP vous savez que c’est simple. Dans votre cas ce serait sans doute l’une de celles-ci. On à le choix entre désinstaller complètement ou désinstaller en conservant htdocs. Dans tous les cas il est fortement recommandé de faire une sauvegarde de votre base de données et de votre site local.

     

     

    • Cette réponse a été modifiée le il y a 2 mois par  ferman.
    #2261130
    ferman
    Participant
    Maître WordPress
    709 contributions

    J’ajoute qu’il semble y avoir pas mal d’avertissements de ce type suite à la mise en place dans wp du système de santé. Voir par exemple ce post d’aujourd’hui et ceci. Si vous faites une recherche google en utilisant:A plugin has prevented updates by disabling wp_version_check() vous verrez que le problème n’est pas rare. Est-il important? Il faudrait voir si la prochaine mise à jour automatique de wp se fait ou non

    #2261218
    Pierroloko
    Participant
    Initié WordPress
    9 contributions

    Tout d’abord, merci C_Lucien & ferman pour vos réponses. 🤗

    Pensant que le problème venait de XAMPP, je l’ai mis à jour.Sans effet.

    Qui plus est, lors de mon 1er test de téléversement de local vers OVH (avec Duplicator) pour vérifier que tout fonctionnait, les mêmes messages s’affichaient dans l’état de santé. Aussi ai-je préféré tout supprimer chez OVH afin de trouver le problème sur le local.
    Je suis allé faire des recherches sur le web & comme vous le dites ferman apparement d’autres ont le même “soucis”.

    J’ai omis de vous dire que WordPress (local) ne s’est jamais mis à jour automatiquement, c’est moi qui le faisait via le bouton mettre à jour. Mais peut-être est-ce normal en local?!

    Dois-je essayer avec PHP 7.2 ou plutôt attendre la prochaine version de wordpress comme vous dites pour voir ce qu’il en retourne?🤔

    En espérant être clair dans mes explications! 🙄

     

    #2261236
    ferman
    Participant
    Maître WordPress
    709 contributions

    Bonjour,

    Je crois que wp5.2 a quelques ennuis de jeunesse (en particulier avec le système health check). J’attendrais le prochain wp update avant de faire quoi que ce soit.

    Chez moi je crois que les mises à jour des sites locaux se font comme sur les sites chez ovh mais je revérifierai la prochaine fois (au cas où je les aurais faites manuellement machinalement!)

    Je ne connais rien aux page builders mais est-ce justifié d’en avoir deux: elementor et nimble page builder?

     

    #2261251
    Pierroloko
    Participant
    Initié WordPress
    9 contributions

    Je ne connais rien aux page builders mais est-ce justifié d’en avoir deux: elementor et nimble page builder?

    Etant novice, page builder est recommandé par mon thème customizr. J’ai choisi elementor car plus de choix. Je n’ai constaté aucun conflis entre ces deux pages builders.

    #2262704
    Pierroloko
    Participant
    Initié WordPress
    9 contributions

    Bonjour,

    la nouvelle version de WordPress 5.2.1 s’est installée automatiquement sans problème sur mon site en ligne.

    En ré-effectuant un État de santé je trouve toujours les mêmes erreurs. Je pense donc ne pas tenir (trop) compte de ces messages comme ferman le disait, sans doute des erreurs de jeunesse!

    Et vous, avez-vous des erreurs de la sorte?

    Merci d’avoir pu m’aider.

    Cordialement

15 sujets de 1 à 15 (sur un total de 20)
  • Vous devez être connecté pour répondre à ce sujet.